Bug 184481 - RFE: Create file attachment link directly above or below the "add comment" textbox.
RFE: Create file attachment link directly above or below the "add comment" te...
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-03-09 02:01 EST by Mike A. Harris
Modified: 2007-04-18 13:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-13 14:17:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2006-03-09 02:01:53 EST
Description of problem:
This is a human-interface issue.  Currently, people using bugzilla who are
not familiar with it, or not familiar enough with it to realize that there
is a "proper" way to attach arbitrary files as file attachments, have a
tendency to just cut and paste their huge X server log files, config files,
/var/log/messages or other text files directly into the comment textbox,
making the bug reports very very hard to follow, having to scroll over this
massive file attachment in order to read the next comment, then scroll back
over it to review the previous comments again.  When they attach multiple
files in this manner, it is very frustrating.

The reason they do this, is because they simply are not aware that bugzilla
has a file attachment feature to begin with.  Recently, I told a reporter
to please use the "Create a file attachment" feature when attaching files,
and they responded with "I can't find any such feature in bugzilla".

A year ago or so, we had a "Create a file attachment" link directly under the
comment box, in prominent red writing, and I almost never got bug reports
that had pasted file attachments.  Now, I am getting 1-3 bug reports per
day which have pasted attachments and are unreadable.  When the attachment
is a config file or a unified diff, or something else to which I need to
download locally and apply (a diff) or test (a config file), quite often
I have to hand edit the files due to bugzilla wordwrapping having corrupted
the file.

This wastes a lot of my time and is very infuriating to the point
where I just update the report with instructions on how to use bugzilla
properly, and put it back into NEEDINFO_REPORTER until they attach the
files properly.  Otherwise I just want to close the bug report WONTFIX.

When you have hundreds of bug reports, and get unreadable ones that end up
consuming a lot more of your time than they really need to, you tend to
deprioritize those ones, and work on the ones that are easier to read/handle.

IMHO, this is a weakness in bugzilla itself, and should be fixed to be more
user/developer friendly, as that would boost everyone's productivity and
reduce stress and frustration a lot.
Comment 1 Chris Adams 2006-03-09 09:34:33 EST
Maybe it would also be good to have a line limit in comments, at least as a
"soft" limit.  If a user tries to add a comment longer than the allowed limit,
Bugzilla could give them a "warning" page that asks if they really don't want to
attach the long data (there could be a "no, just do it" button so that it
doesn't really take out the possibility of actual long comments).
Comment 2 David Lawrence 2006-03-13 14:17:05 EST
Link added to bug edit page below comment box for adding a comment.
Note text added to bug enter page to use create attachment instead of large
amounts of text.

Note You need to log in before you can comment on or make changes to this bug.